Bug 52453 - [bug] eventdemo client doesn't recognize mouse wheel events
Summary: [bug] eventdemo client doesn't recognize mouse wheel events
Status: VERIFIED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: weston (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-24 17:21 UTC by Brian Lovin
Modified: 2012-11-27 23:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Lovin 2012-07-24 17:21:32 UTC
System Environment:
--------------------------
Distro: Ubuntu 12.04
Arch: x86_64
glproto master ec1eec4355ee4a6c5134f2178192f10b6d28a87a
mesa master 82fc813ca870c4002502e098519bead7bec1a7e8
wayland master eadb68ec32df8ee54ccba175d19adcdedfaa5015
pixman master 56321eff65832791252c7c324930d14c44d4d5f7
weston master 2327d1f490a5362e6b6199ca68b14d11e2f13408
drm master ebd7904877d08525beb5039e4ea2f5b6c0a7c23f
cairo master 21e3f2e9034b64131075d82a4e34868dc72f2249
libX11 master 8042f88ace33573f9d0dfaa21ed54ac7cef266d5
macros master 0890e4003aacfa7113ab3f4e3ad7c5636f8e922a
libxkbcommon master fe4f990902c7cd8f395b9f3be14dc6e8cad7cae9
dri2proto master 4eeacce4c4a300b938b7e3fb78a8e443c491780b
kbproto master 391a1f6de6315fc0196d407d800597488315ccc

Detailed Description:
-----------------------------
Run weston under X11 or DRM mode, start the eventdemo program.
Move mouse over application and use the scroll wheel - no output is produced.



Steps to Reproduce:
----------------------------
1. start weston under X11 or DRM mode
2. ./eventdemo --log-redraw --log-resize --log-focus --log-key --log-button --log-motion
3. Move mouse over eventdemo application and use scroll wheel, no output is produced.
Comment 1 Philipp Brüschweiler 2012-08-16 09:24:39 UTC
Should be fixes with commits 7e0cc54fca0ee79f721bc306d589333d25754fc7 and 70cc73b8d88387af36dbb7bd0e85d1ce27feb456.

Use ./eventdemo --log-axis to see axis events.
Comment 2 Brian Lovin 2012-11-27 23:10:07 UTC
Changing to verified


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.